Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## [Groovy] Class ConsoleFocusListener

    java.lang.Object
      ConsoleFocusListener

All Implemented Interfaces:
  java.awt.event.FocusListener

    class ConsoleFocusListener

Property Summary
`java.lang.String` | `text`

Method Summary
`void` | `focusGained(java.awt.event.FocusEvent e)`
`void` | `focusLost(java.awt.event.FocusEvent e)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### text

    java.lang.String text

Method Detail

### focusGained

    void focusGained(java.awt.event.FocusEvent e)

### focusLost

    void focusLost(java.awt.event.FocusEvent e)

Groovy Documentation